### Property

# WebKit2 Settings:enable-media-capabilities

since: 2.22

#### Declaration

    property enable-media-capabilities: gboolean [ read, write, construct ]

#### Description [src]

Enable or disable support for MediaCapabilities on pages. This specification intends to provide APIs to allow websites to make an optimal decision when picking media content for the user. The APIs will expose information about the decoding and encoding capabilities for a given format but also output capabilities to find the best match based on the device’s display.

See also https://wicg.github.io/media-capabilities/.

Type:`gboolean`

Available since: 2.22

Default value | FALSE
Getter method | `webkit_settings_get_enable_media_capabilities()`
Setter method | `webkit_settings_set_enable_media_capabilities()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no